package com.bonus.canteen.core.drp.dto;

import com.bonus.canteen.core.drp.anno.NotLessThanZero;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel
public class AndroidSupermarketOutDetailDTO {
   @ApiModelProperty("明细id")
   private @NotNull(
   message = "明细id不能为空!"
) Long supermarketDetailId;
   @NotLessThanZero(
      message = "出库数量不能少于0!"
   )
   @ApiModelProperty("出库数量")
   private BigDecimal fetchNum;
   @ApiModelProperty("售卖类型(1按份，2称重)")
   private Integer salesMode;
   @ApiModelProperty("库存id")
   private Long inventoryId;

   public Long getSupermarketDetailId() {
      return this.supermarketDetailId;
   }

   public BigDecimal getFetchNum() {
      return this.fetchNum;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public void setSupermarketDetailId(final Long supermarketDetailId) {
      this.supermarketDetailId = supermarketDetailId;
   }

   public void setFetchNum(final BigDecimal fetchNum) {
      this.fetchNum = fetchNum;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

}
